#!/bin/bash
dor=`pwd`
tim=$(date +%Y%m%dT%H%M%S)
dat=$(date +%Y%m%d)
title="UnMech-Updater2"

####################################################.
##-------------------------------------------------##
##---                                           ---##
##---       UnMech-Updater v2                   ---##
##---           Made because i care             ---##
##-------------------------------------------------##
##---                                           ---##
##---       Made By:                            ---##
##---                "Eledore Massis"           ---##
##---                                           ---##
##---   For easy installing and update UnMech3  ---##
##---                                           ---##
##-------------------------------------------------##
##---                                           ---##
##---  To use this file place it in the         ---##
##---   MW3 installation directory.             ---##
##---  E.G; C:\MicroProse\MechWarrior3          ---##
##---   And run this batch file                 ---##
##---                                           ---##
##-------------------------------------------------##
####################################################`


#:variables
## Setting Variables
dev=$1
version=202
discord=wxcHxE9m2F
website=unmech3.org
url=http://$site/Updater2/


# Setup
whipwidth=76
whipheight=16

# pre-cleanup
test1=$dor/UnMechUpdater2.sh
    if [ -f "$test1" ]; then
        echo "Updater2-check"
    else
        whiptail --title "$title" --msgbox "What ever the flip happened.\n  It sure broke!\n    https://discord.gg/wxcHxE9m2F" 9 45
        exit
    fi

menu_start() {
    while true; do
        if curl -s --head  --request GET http://$website | grep "200 OK" > /dev/null; then
            echo "website-check"
            welcome_check
            break
        else
            whiptail --title "$title" --msgbox "   Note!\nSeems i can't find the webserver.\nhttp://$website is down?" 9 45
            break
        fi
    break
    done
}

welcome_check() {
    echo "0 $version"
    curl -s http://unmech3.org/Updater2/UnMechUpdater2.sh > $dor/UnMechUpdater2.ver
    updaterversion=$(grep "version=" $dor/UnMechUpdater2.ver -R)
    echo "1 $updaterversion"
    rm UnMechUpdater2.ver
    updaterversion=${updaterversion:8:3}
    echo "2 $updaterversion"
    while true; do
        if [ $version -ge $updaterversion ]; then
            echo "check valid"
            main
        else
            whiptail --title "$title" --msgbox "Attention!\n  You are running a outdated Updater2\nYour version:  $version\nLatest version:$updaterversion\n\nIt is recommended you visit Http://$website\nAnd download the latest version." 14 45
            break
        fi
    break
    done
}


main() {
    web_version
    unmech_version
    while true; do
        whiptail --title "$title" --msgbox "      Welcome to 'UnMech3 Updater v2'\n        This program will downloading the latest UnMech3 for you" 12 $whipwidth
            if (whiptail --title "$title" --yesno "      Overwrite?\n            Installed version : $unmechversion\n        with\n            Website version : $webversion" --no-button "Cancel" --yes-button "Update" --defaultno 12 $whipwidth); then
                echo "poopie"
                Updater_install
            else
                echo "canceled"
                whiptail --title "$title" --msgbox "      Update Canceled" 12 $whipwidth
                break
            fi
    break
    done
}

Updater_install () {
    echo "$dor"
    curl -s http://unmech3.org/Updater2/Scripts/UnMechInstaller.sh --output $dor/UnMechInstaller.sh
    chmod +x UnMechInstaller.sh
    sh UnMechInstaller.sh && wait;
    # rm UnMechInstaller.sh
    echo "Finished"
    whiptail --title "$title" --msgbox "      Update Completed" 12 $whipwidth
    exit 1
    break
}

web_version() {
    # Fetch the updater's website version number
    webversion=$(curl -s http://unmech3.org/Updater2/version.ver)
    webversion1=${webversion:0:1}
    webversion2=${webversion:1:2}
    webversion3=${webversion:3:1}
    webversion="$webversion1.$webversion2.$webversion3"
}

unmech_version() {
    # echo "i am a very major modern clanner general, i cheat, i peak at women and ianal"
        #TODO: fetch local unmech version number from xx???
        if [[ -z "$unmechversion" ]]; then
            unmechversion="<not-found>"
        fi
}


menu_start

